unit PuhluForm;
{------------------------------------------------------------------------------}
{
   Unit Name: PuhluForm
   Purpose  : Example of using DBExpress components to build a phone catalog
   Author   : Vesa Lappalainen
   Date     : 23.09.2001
   Changed  :
   ToDo     :
     - in Kylix change SQLConnectionPuh.Connection name so that it
       points to some existing database.  For example if
       vesah is InterBase server having a database
         e:\kurssit\winohj\vclclx\puh\puh.gdb
       then set to SQLConnectionPuh.Database
         vesah:e:\kurssit\winohj\vclclx\puh\puh.gdb
       This is done by double clicking SQLConnectionPuh

       D:\gko\vesal_gko\vclclx\puh\puh.gdb
}
{------------------------------------------------------------------------------}

interface

uses
  SysUtils, Types, Classes,
{$ifdef CLX}
   QGraphics, QControls, QForms, QDialogs,QStdCtrls,QExtCtrls, QMask, QDBCtrls,
   QGrids, QDBGrids,QComCtrls,
{$else}
   Graphics, Controls, Forms, Dialogs,StdCtrls,ExtCtrls, Mask, DBCtrls,
   Grids, DBGrids,ComCtrls,
{$endif}
  DBXpress, DB, SqlExpr, Provider, DBClient,
  DBLocal, (*DBLocalS,*) FMTBcd, dynkent, HTTPApp, DBWeb;

type
  TFormPuhlu = class(TForm)
    DataSourcePuh: TDataSource;
    ButtonUpdate: TButton;
    SQLConnectionPuh: TSQLConnection;
    DataSetProviderPuh: TDataSetProvider;
    ClientDataSetPuh: TClientDataSet;
    PanelControls: TPanel;
    EditHakuehto: TEdit;
    ButtonHAE: TButton;
    DBEditNimi: TDBEdit;
    DBNavigator1: TDBNavigator;
    PageControl1: TPageControl;
    TabSheetTaulu: TTabSheet;
    TabSheetLomake: TTabSheet;
    DBGrid1: TDBGrid;
    ScrollBoxLomake: TScrollBox;
    TabXML: TTabSheet;
    ClientDataSetXML: TClientDataSet;
    DBGrid2: TDBGrid;
    DataSourceXML: TDataSource;
    DataSetTableProducer1: TDataSetTableProducer;
    TabSheetHTML: TTabSheet;
    MemoHTML: TMemo;
    SQLDataSetPuh: TSQLQuery;
    procedure ButtonUpdateClick(Sender: TObject);
    procedure ButtonHAEClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ScrollBoxLomakeResize(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
    kentat : cKentat;
    procedure TeeHaku(s:string);
  public
    { Public declarations }
  end;

var
  FormPuhlu: TFormPuhlu;

implementation

{$R *.xfm}

procedure TFormPuhlu.ButtonUpdateClick(Sender: TObject);
begin
  ClientDataSetPuh.ApplyUpdates(0);
end;

procedure TFormPuhlu.ButtonHAEClick(Sender: TObject);
begin
  TeeHaku(EditHakuehto.Text);
end;

procedure TFormPuhlu.FormCreate(Sender: TObject);
begin
  kentat := cKentat.Create(ScrollBoxLomake);
  EditHakuehto.Text := Trim(SQLDataSetPuh.SQL.Text);
  TeeHaku(EditHakuehto.Text);
  ClientDataSetXML.LoadFromFile('puh.xml');
  MemoHTML.Lines.Add(DataSetTableProducer1.Content);
end;

procedure TFormPuhlu.ScrollBoxLomakeResize(Sender: TObject);
begin
  kentat.SetEditLeveys(ScrollBoxLomake.ClientWidth-200);
  kentat.SetNimenLeveys(150);
end;

procedure TFormPuhlu.TeeHaku(s: string);
begin
  kentat.siivoa;
  SQLDataSetPuh.Active := false;
  DBEditNimi.DataField := '';
  SQLDataSetPuh.SQL.Text := s;
  SQLDataSetPuh.Active := true;
  ClientDataSetPuh.Active := false;
  ClientDataSetPuh.Active := true;
  DBEditNimi.DataField := ClientDataSetPuh.Fields[0].FieldName;
  kentat.LisaaKaikki(DataSourcePuh);
end;

procedure TFormPuhlu.FormDestroy(Sender: TObject);
begin
  ClientDataSetPuh.SaveToFile('puh.xml',dfXML);
  kentat.Free;
end;

end.
